| Demo HCI Implementation for WiMOD-LR Devices V2.0.3

Public Attributes | List of all members
TWiMODLR_RadioLink_Msg Struct Reference

Structure containing a general RadioLink HCI message. More...

`#include <SAP/WiMOD_SAP_RadioLink_IDs.h>`

## Public Attributes
UINT8 | StatusFormat
UINT8 | DestinationGroupAddress
UINT16 | DestinationDeviceAddress
UINT8 | SourceGroupAddress
UINT16 | SourceDeviceAddress
UINT8 | Length
UINT8 | Payload [WIMOD_RADIOLINK_PAYLOAD_LEN]
bool | OptionalInfoAvaiable
INT16 | RSSI
INT8 | SNR
INT32 | RxTime
INT16 | MIC

## Detailed Description

Structure containing a general RadioLink HCI message.

## Member Data Documentation

## ◆ DestinationDeviceAddress

UINT16 TWiMODLR_RadioLink_Msg::DestinationDeviceAddress

Address of destination device this message is targeting to

## ◆ DestinationGroupAddress

UINT8 TWiMODLR_RadioLink_Msg::DestinationGroupAddress

Address of destination group this message is targeting to

## ◆ Length

UINT8 TWiMODLR_RadioLink_Msg::Length

length of the (user) payload data field

## ◆ MIC

INT16 TWiMODLR_RadioLink_Msg::MIC

Message Integrity Code for decryption

## ◆ OptionalInfoAvaiable

bool TWiMODLR_RadioLink_Msg::OptionalInfoAvaiable

Flag indicating if optional receiver infomation is available

## ◆ Payload

UINT8 TWiMODLR_RadioLink_Msg::Payload[WIMOD_RADIOLINK_PAYLOAD_LEN]

(user) payload field

## ◆ RSSI

INT16 TWiMODLR_RadioLink_Msg::RSSI

RSSI value (WiMOD --> host only)

## ◆ RxTime

INT32 TWiMODLR_RadioLink_Msg::RxTime

RX timestamp of this message (WiMOD --> host only)

## ◆ SNR

INT8 TWiMODLR_RadioLink_Msg::SNR

SNR value (WiMOD --> host only)

## ◆ SourceDeviceAddress

UINT16 TWiMODLR_RadioLink_Msg::SourceDeviceAddress

Address of source device this message was send from

## ◆ SourceGroupAddress

UINT8 TWiMODLR_RadioLink_Msg::SourceGroupAddress

Address of source group this message was send from

## ◆ StatusFormat

UINT8 TWiMODLR_RadioLink_Msg::StatusFormat

Status/Format Field set by WiMOD; (WiMOD --> Host only)

The documentation for this struct was generated from the following file:

- SAP/WiMOD_SAP_RadioLink_IDs.h